diff a/src/hotspot/share/oops/typeArrayOop.hpp b/src/hotspot/share/oops/typeArrayOop.hpp
--- a/src/hotspot/share/oops/typeArrayOop.hpp
+++ b/src/hotspot/share/oops/typeArrayOop.hpp
@@ -131,10 +131,11 @@
     return align_object_size((size_t)size_in_words);
   }
 
  public:
   inline size_t object_size(const TypeArrayKlass* tk) const;
+  inline size_t object_size(const TypeArrayKlass* tk, int length) const;
 };
 
 // See similar requirement for oopDesc.
 static_assert(std::is_trivially_default_constructible<typeArrayOopDesc>::value, "required");
 
